Page MenuHomePhabricator

[Regression pre-wmf6] VE toolbar misaligned by one pixel
Closed, ResolvedPublic1 Story Points

Description

VE toolbar is misaligned by one pixel:

Note how the grey background doesn't quite extend to cover the whole toolbar.

Regression from bb9c9c4f6a2fca6aed0e671e904e469d57da5f34 and/or 121216184718e7ebe22d6ecc8f5af5fe4e202465.

I think removing the <div class=ve-init-mw-viewPageTarget-toolbar-actions> and <div class=ve-init-mw-viewPageTarget-toolbar-utilities> wrappers from the elements in the screenshot will fix it, they should get aligned correctly without the wrappers now after 121216184718e7ebe22d6ecc8f5af5fe4e202465.

Event Timeline

matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 11 2015, 10:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 210311 had a related patch set uploaded (by Bartosz Dziewoński):
ve.init.mw.ViewPageTarget: Simplify toolbar save button and inner toolbar code

https://gerrit.wikimedia.org/r/210311

Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.

Change 210311 merged by jenkins-bot:
ve.init.mw.ViewPageTarget: Simplify toolbar save button and inner toolbar code

https://gerrit.wikimedia.org/r/210311

Jdforrester-WMF renamed this task from VE toolbar misaligned by one pixel to [Regression pre-wmf6] VE toolbar misaligned by one pixel.May 12 2015, 12:19 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q4 blockers board.
Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Jun 17 2015, 11:35 PM